import type { Network, UnsignedTransaction } from '@wormhole-foundation/sdk-connect';
import type { TransactionRequest } from 'ethers';
import type { EvmChains } from './types.js';
/**
 * An unsigned transaction for the EVM platform
 */
export declare class EvmUnsignedTransaction<N extends Network, C extends EvmChains> implements UnsignedTransaction<N, C> {
    readonly transaction: TransactionRequest;
    readonly network: N;
    readonly chain: C;
    readonly description: string;
    readonly parallelizable: boolean;
    constructor(transaction: TransactionRequest, network: N, chain: C, description: string, parallelizable?: boolean);
}
//# sourceMappingURL=unsignedTransaction.d.ts.map